commit a533233b18493bff3016980b26961cd96d08dea0
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 8 00:54:27 2015 -0600

    fix last-minute FreeBSD build issue with latest log.c

commit 0ee203eeb0601e2251c61475cb07eed210ee5b84
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 8 00:07:59 2015 -0600

    sync with latest OpenBSD source, adjust patch queue

commit 183faa4cde559ae844b7f6123f2799a9e3229025
Author: Brent Cook <busterb@gmail.com>
Date:   Sun Jan 4 23:15:48 2015 -0600

    point to the correct file for OS X privsep user instructions

commit c7992f4312163a7319f73db1565c1b68891016b9
Author: Brent Cook <busterb@gmail.com>
Date:   Sun Jan 4 23:14:32 2015 -0600

    resync patches

commit aa14b765decc90f1871cc10facf8f82754321396
Author: Brent Cook <bcook@openbsd.org>
Date:   Sat Jan 3 21:36:42 2015 -0600

    update install docs, fix outdated links
    
     - add OS X privsep user creation instructions from jasper@
     - update install instructions to be the same everywhere
     - remove outdated compiler flags

commit 2e79e8cb075fd8fdf7c2eebf4fde9d36c273433d
Author: Brent Cook <bcook@openbsd.org>
Date:   Sat Jan 3 20:43:49 2015 -0600

    mach_absolute_time is monotonic
    
    which is convenient, since it is exactly what we need.

commit 667d758c34f85fb36fd8c5f636932d17cd110682
Author: Brent Cook <bcook@openbsd.org>
Date:   Sat Jan 3 20:33:42 2015 -0600

    remove applied patches from upstream

commit 132ece510b0b4e47751e78012660aa41c8251b4b
Author: Brent Cook <busterb@gmail.com>
Date:   Fri Jan 2 08:47:19 2015 -0600

    resync patch set

commit f55fb2f9bbcb597e2ffe3812791413bb54aa5406
Author: Brent Cook <bcook@openbsd.org>
Date:   Fri Jan 2 08:23:26 2015 -0600

    check for sockaddr_in.sin_len directly.
    
    There is no standard SIN_LEN, unlike SIN6_LEN.

commit fe2755c09e0b2d78c42dedd6d63110350a44411c
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 16:57:46 2015 -0600

    reorder patches by priority and generality

commit 76f582f5f07acc24bb2282d4b6fc2593b849ea98
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 10:14:21 2015 -0600

    make state dirs on install if the don't exist

commit 4e94afcafe42cdd8d5883459b50e03e5f904cdd5
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 07:22:21 2015 -0600

    support --privsep-user, overriding file paths
    
    Allow overriding the user and the config file paths for ntpd.
    
    This also adds back --privsep-path from OpenNTPD, which really only
    changes the installation instructions from 'make install', since ntpd
    always uses the home directory of the ntpd user.
    
    This borrows from the Darren's portable OpenNTPD and from OpenSSL, add
    credits and a license.

commit 4f36f83b7ef7c4c76deedcc92bb00e9fe581a773
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 09:09:08 2015 -0600

    Move credits from README to AUTHORS.
    
    As long as autoconf requires an AUTHORS file, might as well use it.
    Refer to the public commit logs for all contributors - that's what
    they're for.

commit 349259b778a25d116579901df37f3647526364bd
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:41:28 2015 -0600

    rename clock_gettime OS X shim for consistency

commit fb43599f647fc466ea03d7ea77f3a3602e914988
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:38:50 2015 -0600

    update port status

commit 04f3b3eeee7c2d9a85064700f0b6c18abee27be7
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:32:40 2015 -0600

    use per-OS files for adjfreq emulation
    
    This makes it easier to see what is supported by each OS, and to improve
    them individually.

commit 46eb3fcad981d53111eb6a6fc9812d4840a4d365
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:26:26 2015 -0600

    remove unneeded compat string functions

commit 8e4c175c42cb5924f56d2b14f012a2b0a68b8f00
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:11:54 2015 -0600

    update copyright block, patches
    
    I removed all of the code in fake-sensors, I don't think Henning wants
    all the credit for an empty file.

commit ca4f4d455a8ae7fdeb15438818fb0f7904158506
Author: Brent Cook <busterb@gmail.com>
Date:   Thu Jan 1 06:02:43 2015 -0600

    move all compatibility shims to compat

commit a3ad579ab61d151d4d3aa369f3e0924fb757abc1
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 22:41:03 2014 -0600

    add ye-old standard MAX macro

commit 17f348961a01c8bb331965544087bbe6a6bf8e85
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 22:35:17 2014 -0600

    be more direct about obtaining BSD integer types

commit ff50f20d0a61bdc2bf4c7be91a94f343e109107d
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 22:26:16 2014 -0600

    add Solaris build patch

commit 1ca341f3ed4b931cf5d91dae1a2164823b313d6f
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 22:25:56 2014 -0600

    distribute ntpd.conf

commit 3f25522c313794991fd61a60b26a21dbf251ec6b
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 21:43:51 2014 -0600

    include the BSD integer types
    
    TODO: convert u_int_* types to uint_*

commit 4b191ba09cf5de334bc42f00eac241fa679647c5
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 21:40:47 2014 -0600

    remove duplicate md5 defs, check for Solaris -lmd5

commit 1b54280f47fc621cacea91752bde23e789fc0ebd
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 19:14:34 2014 -0600

    disable pid file patch for now

commit 7559d73f7d6c944d9cd7d418e68e01d146e97d85
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 19:01:18 2014 -0600

    fix build error on OS X

commit 9ef517cfb76b809554608508bcb10a20977604b1
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 18:53:52 2014 -0600

    adjust checks for clock_(get_time/get_res)
    
    ensure we get HAVE_ defines set by autoconf

commit 1970d594220917169379207a6943d4ba9a3ece2b
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 18:40:52 2014 -0600

    include time.h in the distribution

commit 9b4d748b44e2c3456d462369fa5670982855ece2
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 18:27:14 2014 -0600

    initial OS X support
    
    Well, support may be too concrete of a term. There is a lot that is
    missing in OS X, and not everything can be implemented with portability
    shims. The time APIs in OS X seem to have frozen with NeXTSTEP and never
    advanced with POSIX.

commit ac6aa84996d1e313a772eb55a4545c363d7b4f43
Author: Brent Cook <bcook@openbsd.org>
Date:   Wed Dec 31 09:00:02 2014 -0600

    reorganize and incorporate debian and gentoo patches
    
    This reworks a few of the common patches on Debian and Gentoo to be a
    little nicer, and changes the patches to be per-fix rather than
    per-file.

commit 72b20dc6acab3fd9334be612871bdfadd99249cb
Author: Brent Cook <bcook@openbsd.org>
Date:   Tue Dec 30 08:53:37 2014 -0600

    update source checkout install instructions

commit 695a83dc84a17dad49affe88cffddd01687b03dc
Author: Brent Cook <bcook@openbsd.org>
Date:   Tue Dec 30 08:46:18 2014 -0600

    deal with rename in the initial checkout procedure

commit 43c0dcabfb9cfc0acdb0f08c3f1c3a165e6dd935
Author: Brent Cook <bcook@openbsd.org>
Date:   Tue Dec 30 08:31:39 2014 -0600

    include credits block and update github repo

commit c3dc8c10f34ff28258a8208bed402cf8eb6466d1
Author: Brent Cook <bcook@openbsd.org>
Date:   Mon Dec 29 06:37:21 2014 -0600

    remove OpenBSD hardcode in check for sensor support

commit 59dbc42e6016f73f2ce50f1bca9e407570fa5c15
Author: Brent Cook <bcook@openbsd.org>
Date:   Mon Dec 29 06:13:06 2014 -0600

    adjust patch naming convention to match ports
    
    include naddy's patch for using the LOG_NTP syslog facility

commit 659bb3d7a28884324147541fbc431216eb972afc
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 21:59:11 2014 -0600

    consolidate patches, cleanup dist.sh

commit fd110d0b363ddc11c6cee0b94db2a767f0640e66
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 21:38:53 2014 -0600

    mark WIP

commit 4f2207cfa8c932c4253587b51de6788968c7e36f
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 21:30:35 2014 -0600

    remove __weak_alias

commit 0a716797e08430a50b34fb936991d4606a73741e
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 20:50:08 2014 -0600

    simplify library scans for various functions

commit 68ee93625bbda2724e5897efa1bf7b5f80fe21d9
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 20:49:12 2014 -0600

    surprisingly, patch --posix isn't very helpful

commit 074a8e39284ec521cb4fd8cb38f17605c197e5b0
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 20:23:04 2014 -0600

    FreeBSD compatibility fixes
    
    EAI_NODATA has been made obsolete.
    Properly detect MD5Init in -lmd

commit 1be998136e70a35f974e6982594d31d952e74e78
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 19:39:16 2014 -0600

    check libmd for MD5 hash functions

commit 55a755daff1c48af4011f3d567df4fee6162ec6e
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 19:26:32 2014 -0600

    define __weak_alias

commit 1273571998ea4700b89e9e9860106a0d7f81b6fe
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 19:23:19 2014 -0600

    distribute hash compat headers

commit 0d56dc46840e2839085aebe60ddd00faea48b49b
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 18:27:22 2014 -0600

    use libc SHA512 implementation
    
    Remove dependency on libcrypto, include hash headers in a nicer way.

commit c1e0a324f1b1da9c2e6644f155a533dd3e0d8e07
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 16:14:51 2014 -0600

    remove libevent remnants

commit 558f0dd84fe64a205857f8eec25ac14bb16103ad
Author: Brent Cook <bcook@openbsd.org>
Date:   Sun Dec 28 15:35:51 2014 -0600

    add missing compatibilty headers

commit d5b81b8ed2aada3392713dd449929865cc37bf62
Author: Brent Cook <bcook@openbsd.org>
Date:   Sat Dec 27 23:39:37 2014 -0600

    new OpenNTPD portable tree
    
    First attempt at building a new OpenNTPD portable project, based on the
    latest OpenBSD source.
